// -*- C++ -*- //

#ifndef MAP_WIN_H
#define MAP_WIN_H

#include <all_include.h>
#include <mapstorage.h>
#include <graph_displayer_canvas.h>
#include <libgnomecanvasmm.h>
#include <libgnomecanvasmm/polygon.h>

///This class is responsible for creating a window,
///on which the visualization attributes can be
///assigned to maps.
class MapWin : public Gtk::Window
{
protected:
  ///The \ref GraphDisplayerCanvas on which the graph will be drawn.
  ///It has to be known for this class, because
  ///when a map assigned to a certain attribute
  ///a function of the \ref GraphDisplayerCanvas will be called.
  GraphDisplayerCanvas & gdc;

  ///The \ref MapStorage in which the visualizable maps are stored
  MapStorage & ms;

  
  Gtk::HBox * radios;
  Gtk::RadioButton ** rb_array;

  Gtk::VBox vbox_b, * vbox_r1, * vbox_r2;

  ///The notebook has different pages for each attribute.
  Gtk::Notebook notebook;

  Gtk::Label * labels;

public:
  ///Constructor of MapWin creates the widgets shown in MapWin.
  MapWin(const std::string& title, MapStorage &, GraphDisplayerCanvas &);

  ///If a radiobutton is clicked, this function determines
  ///which button was that and after that calls the
  ///appropriate function of the \ref GraphDisplayerCanvas
  ///to change the visible values of that attribute.
  virtual void radio_click(int, int);
};

#endif //MAP_WIN_H
